%global momorel 7

Summary: a personal full-text search system
Name: estraier
Version: 1.2.29
Release: %{momorel}m
%global md5source0 50577e59b949c25499d78ab0eb1c1d0e
%NoSource 0 http://estraier.sourceforge.net/estraier-%{version}.tar.gz %{md5source0}
License: GPL
URL: http://estraier.sourceforge.net/
Group: Applications/Text
BuildRequires: zlib-devel, qdbm-devel >= 1.8.61

### include local configuration
%{?include_specopt}

### default configurations
# If you'd like to change these configurations, please copy them to
# ~/rpm/specopt/estraier.specopt and edit it.

## Configuration
# which morphological analyzer do you use?
%{?!kakasi: %global kakasi 1}
%{?!chasen: %global chasen 0}
%{?!mecab:  %global mecab  0}
%{?!cjkuni: %global cjkuni 0}

%if %{chasen}
BuildRequires: chasen-devel
Requires: chasen
%endif

%if %{mecab}
BuildRequires: mecab-devel
Requires: mecab
%endif

%if %{kakasi}
BuildRequires: kakasi-devel
Requires: kakasi
%endif

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Estraier is a full-text search system for personal use. Full-text search means functions to search lots of documents for some documents including specified words. The principal purpose of Estraier is to realize a full-text search system of a web site. It functions similarly to Google, but for a personal web site or sites in an intranet.

%prep
%setup -q 

%build
%configure --enable-regex --enable-dlfilter --disable-stopword --with-sysqdbm \
%if %{chasen}
   --enable-chasen
%endif
%if %{mecab}
   --enable-mecab
%endif
%if %{kakasi}
   --enable-kakasi
%endif
%if %{cjkuni}
   --enable-cjkuni
%endif

%make

%install
make DESTDIR=%{buildroot} install

(cd %{buildroot}/usr/share/estraier
 rm COPYING ChangeLog README* spex*
)
 
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README README-ja spex.html spex-ja.html
%{_bindir}/*
%{_libexecdir}/*
%{_datadir}/estraier/

%changelog
* Tue Jul 18 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.29-7m)
- rebuild against qdbm-1.8.61

* Sun Jun 11 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.29-6m)
- rebuild against qdbm-1.8.59

* Thu May 25 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.29-5m)
- rebuild against qdbm-1.8.56

* Mon Apr 10 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.29-4m)
- rebuild against qdbm-1.8.48

* Thu Mar 09 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.29-3m)
- rebuild against qdbm-1.8.46

* Thu Feb 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.29-2m)
- rebuild against qdbm-1.8.45

* Mon Dec 26 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.29-1m)
- update to 1.2.29

* Sun Dec 11 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.28-4m)
- rebuild against qdbm-1.8.35

* Thu Sep 15 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.28-2m)
- rebuild against qdbm-1.8.33

* Tue Jun  7 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.28-1m)
- update

* Tue Feb  8 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.26-2m)
- rebuild against qdbm-1.8.21

* Tue Feb  8 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.26-1m)
- update to 1.2.26

* Thu Jan  6 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.25-3m)
- rebuild against qdbm-1.8.20

* Sun Nov 14 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.25-2m)
- rebuild against qdbm-1.8.18

* Sun Nov 14 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.25-1m)
- update to 1.2.25

* Sun Sep  5 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.24-1m)
- minor feature enhancements

* Sun Aug 22 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.21-1m)
- support specopt

* Wed Aug 18 2004 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.2.20-1m)
- initial import
